KIO::SlaveConfig Class Reference

`#include <slaveconfig.h>`

Inherits QObject.

## Signals

void | configNeeded (const QString &protocol, const QString &host)

## Public Member Functions

void | setConfigData (const QString &protocol, const QString &host, const QString &key, const QString &value)
void | setConfigData (const QString &protocol, const QString &host, const MetaData &config)
MetaData | configData (const QString &protocol, const QString &host)
QString | configData (const QString &protocol, const QString &host, const QString &key)
void | reset ()

## Static Public Member Functions

static SlaveConfig * | self ()

## Protected Attributes

SlaveConfigPrivate * | d

## Static Protected Attributes

static SlaveConfig * | _self = 0

## Detailed Description

SlaveConfig.

This class manages the configuration for io-slaves based on protocol and host. The Scheduler makes use of this class to configure the slave whenever it has to connect to a new host.

You only need to use this class if you want to override specific configuration items of an io-slave when the io-slave is used by your application.

Normally io-slaves are being configured by "kio_<protocol>rc" configuration files. Groups defined in such files are treated as host or domain specification. Configuration items defined in a group are only applied when the slave is connecting with a host that matches with the host and/or domain specified by the group.

Definition at line 47 of file slaveconfig.h.

## Member Function Documentation

MetaData KIO::SlaveConfig::configData | ( | const QString & | protocol,
|  | const QString & | host
| ) |  |

Query slave configuration for slaves of type `protocol` when dealing with `host`.

Definition at line 193 of file slaveconfig.cpp.

QString KIO::SlaveConfig::configData | ( | const QString & | protocol,
|  | const QString & | host,
|  | const QString & | key
| ) |  |

Query a specific configuration key for slaves of type `protocol` when dealing with `host`.

Definition at line 212 of file slaveconfig.cpp.

void KIO::SlaveConfig::configNeeded | ( | const QString & | protocol,
|  | const QString & | host
| ) |  |

signal

This signal is raised when a slave of type `protocol` deals with `host` for the first time.

Your application can use this signal to make some last minute configuration changes with setConfigData based on the host.

void KIO::SlaveConfig::reset | ( |  | ) |

Undo any changes made by calls to setConfigData.

Definition at line 217 of file slaveconfig.cpp.

void KIO::SlaveConfig::setConfigData | ( | const QString & | protocol,
|  | const QString & | host,
|  | const QString & | key,
|  | const QString & | value
| ) |  |

Configure slaves of type `protocol` by setting `key` to `value`.

If `host` is specified the configuration only applies when dealing with `host`.

Changes made to the slave configuration only apply to slaves used by the current process.

Definition at line 159 of file slaveconfig.cpp.

void KIO::SlaveConfig::setConfigData | ( | const QString & | protocol,
|  | const QString & | host,
|  | const MetaData & | config
| ) |  |

Configure slaves of type `protocol` with `config`.

If `host` is specified the configuration only applies when dealing with `host`.

Changes made to the slave configuration only apply to slaves used by the current process.

Definition at line 169 of file slaveconfig.cpp.

The documentation for this class was generated from the following files:

- slaveconfig.h
- slaveconfig.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys